CqlConfigHelper (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.hadoop.cql3

## Class CqlConfigHelper

- java.lang.Object
- - org.apache.cassandra.hadoop.cql3.CqlConfigHelper

-     public class CqlConfigHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CqlConfigHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.datastax.driver.core.Cluster` | `getCluster(java.lang.String[] hosts, org.apache.hadoop.conf.Configuration conf, int port)`
    `static com.datastax.driver.core.Cluster` | `getInputCluster(java.lang.String[] hosts, org.apache.hadoop.conf.Configuration conf)`
    `static com.datastax.driver.core.Cluster` | `getInputCluster(java.lang.String host, org.apache.hadoop.conf.Configuration conf)`
    `static java.lang.String` | `getInputcolumns(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Integer>` | `getInputCoreConnections(org.apache.hadoop.conf.Configuration conf)`
    `static java.lang.String` | `getInputCql(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Integer>` | `getInputMaxConnections(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Integer>` | `getInputMaxSimultReqPerConnections(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.String>` | `getInputNativeAuthProvider(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Integer>` | `getInputNativeConnectionTimeout(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Boolean>` | `getInputNativeKeepAlive(org.apache.hadoop.conf.Configuration conf)`
    `static int` | `getInputNativePort(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Integer>` | `getInputNativeReadConnectionTimeout(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Integer>` | `getInputNativeReceiveBufferSize(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Boolean>` | `getInputNativeReuseAddress(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Integer>` | `getInputNativeSendBufferSize(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Integer>` | `getInputNativeSolinger(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.String>` | `getInputNativeSSLCipherSuites(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.String>` | `getInputNativeSSLKeystorePassword(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.String>` | `getInputNativeSSLKeystorePath(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.String>` | `getInputNativeSSLTruststorePassword(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.String>` | `getInputNativeSSLTruststorePath(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Boolean>` | `getInputNativeTcpNodelay(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<java.lang.Integer>` | `getInputPageRowSize(org.apache.hadoop.conf.Configuration conf)`
    `static java.lang.String` | `getInputWhereClauses(org.apache.hadoop.conf.Configuration conf)`
    `static com.datastax.driver.core.Cluster` | `getOutputCluster(java.lang.String[] hosts, org.apache.hadoop.conf.Configuration conf)`
    `static com.datastax.driver.core.Cluster` | `getOutputCluster(java.lang.String host, org.apache.hadoop.conf.Configuration conf)`
    `static java.lang.String` | `getOutputCql(org.apache.hadoop.conf.Configuration conf)`
    `static int` | `getOutputNativePort(org.apache.hadoop.conf.Configuration conf)`
    `static com.google.common.base.Optional<com.datastax.driver.core.SSLOptions>` | `getSSLOptions(org.apache.hadoop.conf.Configuration conf)`
    `static void` | `setInputColumns(org.apache.hadoop.conf.Configuration conf, java.lang.String columns)` Set the CQL columns for the input of this job.
    `static void` | `setInputCoreConnections(org.apache.hadoop.conf.Configuration conf, java.lang.String connections)`
    `static void` | `setInputCql(org.apache.hadoop.conf.Configuration conf, java.lang.String cql)`
    `static void` | `setInputCQLPageRowSize(org.apache.hadoop.conf.Configuration conf, java.lang.String cqlPageRowSize)` Set the CQL query Limit for the input of this job.
    `static void` | `setInputMaxConnections(org.apache.hadoop.conf.Configuration conf, java.lang.String connections)`
    `static void` | `setInputMaxSimultReqPerConnections(org.apache.hadoop.conf.Configuration conf, java.lang.String reqs)`
    `static void` | `setInputNativeAuthProvider(org.apache.hadoop.conf.Configuration conf, java.lang.String authProvider)`
    `static void` | `setInputNativeConnectionTimeout(org.apache.hadoop.conf.Configuration conf, java.lang.String timeout)`
    `static void` | `setInputNativeKeepAlive(org.apache.hadoop.conf.Configuration conf, java.lang.String keepAlive)`
    `static void` | `setInputNativePort(org.apache.hadoop.conf.Configuration conf, java.lang.String port)`
    `static void` | `setInputNativeReadConnectionTimeout(org.apache.hadoop.conf.Configuration conf, java.lang.String timeout)`
    `static void` | `setInputNativeReceiveBufferSize(org.apache.hadoop.conf.Configuration conf, java.lang.String size)`
    `static void` | `setInputNativeReuseAddress(org.apache.hadoop.conf.Configuration conf, java.lang.String reuseAddress)`
    `static void` | `setInputNativeSendBufferSize(org.apache.hadoop.conf.Configuration conf, java.lang.String size)`
    `static void` | `setInputNativeSolinger(org.apache.hadoop.conf.Configuration conf, java.lang.String solinger)`
    `static void` | `setInputNativeSSLCipherSuites(org.apache.hadoop.conf.Configuration conf, java.lang.String suites)`
    `static void` | `setInputNativeSSLKeystorePassword(org.apache.hadoop.conf.Configuration conf, java.lang.String pass)`
    `static void` | `setInputNativeSSLKeystorePath(org.apache.hadoop.conf.Configuration conf, java.lang.String path)`
    `static void` | `setInputNativeSSLTruststorePassword(org.apache.hadoop.conf.Configuration conf, java.lang.String pass)`
    `static void` | `setInputNativeSSLTruststorePath(org.apache.hadoop.conf.Configuration conf, java.lang.String path)`
    `static void` | `setInputNativeTcpNodelay(org.apache.hadoop.conf.Configuration conf, java.lang.String tcpNodelay)`
    `static void` | `setInputWhereClauses(org.apache.hadoop.conf.Configuration conf, java.lang.String clauses)` Set the CQL user defined where clauses for the input of this job.
    `static void` | `setOutputCql(org.apache.hadoop.conf.Configuration conf, java.lang.String cql)` Set the CQL prepared statement for the output of this job.
    `static void` | `setUserNameAndPassword(org.apache.hadoop.conf.Configuration conf, java.lang.String username, java.lang.String password)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CqlConfigHelper

          public CqlConfigHelper()

  - ### Method Detail

    - #### setInputColumns

          public static void setInputColumns(org.apache.hadoop.conf.Configuration conf,
                                             java.lang.String columns)

      Set the CQL columns for the input of this job.
      Parameters:
        `conf` - Job configuration you are about to run
        `columns` -

    - #### setInputCQLPageRowSize

          public static void setInputCQLPageRowSize(org.apache.hadoop.conf.Configuration conf,
                                                    java.lang.String cqlPageRowSize)

      Set the CQL query Limit for the input of this job.
      Parameters:
        `conf` - Job configuration you are about to run
        `cqlPageRowSize` -

    - #### setInputWhereClauses

          public static void setInputWhereClauses(org.apache.hadoop.conf.Configuration conf,
                                                  java.lang.String clauses)

      Set the CQL user defined where clauses for the input of this job.
      Parameters:
        `conf` - Job configuration you are about to run
        `clauses` -

    - #### setOutputCql

          public static void setOutputCql(org.apache.hadoop.conf.Configuration conf,
                                          java.lang.String cql)

      Set the CQL prepared statement for the output of this job.
      Parameters:
        `conf` - Job configuration you are about to run
        `cql` -

    - #### setInputCql

          public static void setInputCql(org.apache.hadoop.conf.Configuration conf,
                                         java.lang.String cql)

    - #### setUserNameAndPassword

          public static void setUserNameAndPassword(org.apache.hadoop.conf.Configuration conf,
                                                    java.lang.String username,
                                                    java.lang.String password)

    - #### getInputCoreConnections

          public static com.google.common.base.Optional<java.lang.Integer> getInputCoreConnections(org.apache.hadoop.conf.Configuration conf)

    - #### getInputMaxConnections

          public static com.google.common.base.Optional<java.lang.Integer> getInputMaxConnections(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativePort

          public static int getInputNativePort(org.apache.hadoop.conf.Configuration conf)

    - #### getOutputNativePort

          public static int getOutputNativePort(org.apache.hadoop.conf.Configuration conf)

    - #### getInputMaxSimultReqPerConnections

          public static com.google.common.base.Optional<java.lang.Integer> getInputMaxSimultReqPerConnections(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeConnectionTimeout

          public static com.google.common.base.Optional<java.lang.Integer> getInputNativeConnectionTimeout(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeReadConnectionTimeout

          public static com.google.common.base.Optional<java.lang.Integer> getInputNativeReadConnectionTimeout(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeReceiveBufferSize

          public static com.google.common.base.Optional<java.lang.Integer> getInputNativeReceiveBufferSize(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeSendBufferSize

          public static com.google.common.base.Optional<java.lang.Integer> getInputNativeSendBufferSize(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeSolinger

          public static com.google.common.base.Optional<java.lang.Integer> getInputNativeSolinger(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeTcpNodelay

          public static com.google.common.base.Optional<java.lang.Boolean> getInputNativeTcpNodelay(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeReuseAddress

          public static com.google.common.base.Optional<java.lang.Boolean> getInputNativeReuseAddress(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeAuthProvider

          public static com.google.common.base.Optional<java.lang.String> getInputNativeAuthProvider(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeSSLTruststorePath

          public static com.google.common.base.Optional<java.lang.String> getInputNativeSSLTruststorePath(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeSSLKeystorePath

          public static com.google.common.base.Optional<java.lang.String> getInputNativeSSLKeystorePath(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeSSLKeystorePassword

          public static com.google.common.base.Optional<java.lang.String> getInputNativeSSLKeystorePassword(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeSSLTruststorePassword

          public static com.google.common.base.Optional<java.lang.String> getInputNativeSSLTruststorePassword(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeSSLCipherSuites

          public static com.google.common.base.Optional<java.lang.String> getInputNativeSSLCipherSuites(org.apache.hadoop.conf.Configuration conf)

    - #### getInputNativeKeepAlive

          public static com.google.common.base.Optional<java.lang.Boolean> getInputNativeKeepAlive(org.apache.hadoop.conf.Configuration conf)

    - #### getInputcolumns

          public static java.lang.String getInputcolumns(org.apache.hadoop.conf.Configuration conf)

    - #### getInputPageRowSize

          public static com.google.common.base.Optional<java.lang.Integer> getInputPageRowSize(org.apache.hadoop.conf.Configuration conf)

    - #### getInputWhereClauses

          public static java.lang.String getInputWhereClauses(org.apache.hadoop.conf.Configuration conf)

    - #### getInputCql

          public static java.lang.String getInputCql(org.apache.hadoop.conf.Configuration conf)

    - #### getOutputCql

          public static java.lang.String getOutputCql(org.apache.hadoop.conf.Configuration conf)

    - #### getInputCluster

          public static com.datastax.driver.core.Cluster getInputCluster(java.lang.String host,
                                                                         org.apache.hadoop.conf.Configuration conf)

    - #### getInputCluster

          public static com.datastax.driver.core.Cluster getInputCluster(java.lang.String[] hosts,
                                                                         org.apache.hadoop.conf.Configuration conf)

    - #### getOutputCluster

          public static com.datastax.driver.core.Cluster getOutputCluster(java.lang.String host,
                                                                          org.apache.hadoop.conf.Configuration conf)

    - #### getOutputCluster

          public static com.datastax.driver.core.Cluster getOutputCluster(java.lang.String[] hosts,
                                                                          org.apache.hadoop.conf.Configuration conf)

    - #### getCluster

          public static com.datastax.driver.core.Cluster getCluster(java.lang.String[] hosts,
                                                                    org.apache.hadoop.conf.Configuration conf,
                                                                    int port)

    - #### setInputCoreConnections

          public static void setInputCoreConnections(org.apache.hadoop.conf.Configuration conf,
                                                     java.lang.String connections)

    - #### setInputMaxConnections

          public static void setInputMaxConnections(org.apache.hadoop.conf.Configuration conf,
                                                    java.lang.String connections)

    - #### setInputMaxSimultReqPerConnections

          public static void setInputMaxSimultReqPerConnections(org.apache.hadoop.conf.Configuration conf,
                                                                java.lang.String reqs)

    - #### setInputNativeConnectionTimeout

          public static void setInputNativeConnectionTimeout(org.apache.hadoop.conf.Configuration conf,
                                                             java.lang.String timeout)

    - #### setInputNativeReadConnectionTimeout

          public static void setInputNativeReadConnectionTimeout(org.apache.hadoop.conf.Configuration conf,
                                                                 java.lang.String timeout)

    - #### setInputNativeReceiveBufferSize

          public static void setInputNativeReceiveBufferSize(org.apache.hadoop.conf.Configuration conf,
                                                             java.lang.String size)

    - #### setInputNativeSendBufferSize

          public static void setInputNativeSendBufferSize(org.apache.hadoop.conf.Configuration conf,
                                                          java.lang.String size)

    - #### setInputNativeSolinger

          public static void setInputNativeSolinger(org.apache.hadoop.conf.Configuration conf,
                                                    java.lang.String solinger)

    - #### setInputNativeTcpNodelay

          public static void setInputNativeTcpNodelay(org.apache.hadoop.conf.Configuration conf,
                                                      java.lang.String tcpNodelay)

    - #### setInputNativeAuthProvider

          public static void setInputNativeAuthProvider(org.apache.hadoop.conf.Configuration conf,
                                                        java.lang.String authProvider)

    - #### setInputNativeSSLTruststorePath

          public static void setInputNativeSSLTruststorePath(org.apache.hadoop.conf.Configuration conf,
                                                             java.lang.String path)

    - #### setInputNativeSSLKeystorePath

          public static void setInputNativeSSLKeystorePath(org.apache.hadoop.conf.Configuration conf,
                                                           java.lang.String path)

    - #### setInputNativeSSLKeystorePassword

          public static void setInputNativeSSLKeystorePassword(org.apache.hadoop.conf.Configuration conf,
                                                               java.lang.String pass)

    - #### setInputNativeSSLTruststorePassword

          public static void setInputNativeSSLTruststorePassword(org.apache.hadoop.conf.Configuration conf,
                                                                 java.lang.String pass)

    - #### setInputNativeSSLCipherSuites

          public static void setInputNativeSSLCipherSuites(org.apache.hadoop.conf.Configuration conf,
                                                           java.lang.String suites)

    - #### setInputNativeReuseAddress

          public static void setInputNativeReuseAddress(org.apache.hadoop.conf.Configuration conf,
                                                        java.lang.String reuseAddress)

    - #### setInputNativeKeepAlive

          public static void setInputNativeKeepAlive(org.apache.hadoop.conf.Configuration conf,
                                                     java.lang.String keepAlive)

    - #### setInputNativePort

          public static void setInputNativePort(org.apache.hadoop.conf.Configuration conf,
                                                java.lang.String port)

    - #### getSSLOptions

          public static com.google.common.base.Optional<com.datastax.driver.core.SSLOptions> getSSLOptions(org.apache.hadoop.conf.Configuration conf)

Copyright © 2018 The Apache Software Foundation